CS::Animation::iSkeletonAnimNode Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Animation::iSkeletonAnimNode Struct Reference
Mesh plugins

Base type for the animation nodes in the hierarchical blending tree of the skeletal animation system. More...

`#include <imesh/animnode/skeleton2anim.h>`

Inheritance diagram for CS::Animation::iSkeletonAnimNode:

List of all members.

## Public Member Functions
virtual void | AddAnimationCallback (iSkeletonAnimCallback *callback)=0
| Add a new animation callback to this node.
virtual void | BlendState (AnimatedMeshState *state, float baseWeight=1.0f)=0
| Blend the state of this node into the global skeleton state.
virtual iSkeletonAnimNode * | FindNode (const char *name)=0
| Find a sub-node with the given name.
virtual float | GetDuration () const =0
| Get the time length of this node, in seconds.
virtual iSkeletonAnimNodeFactory * | GetFactory () const =0
| Get the factory of this node.
virtual float | GetPlaybackPosition () const =0
| Get the current playback position, in seconds (ie a time value between 0 and GetDuration()).
virtual float | GetPlaybackSpeed () const =0
| Get the playback speed.
virtual bool | IsActive () const =0
| Return whether or not this node is currently playing and needs any blending.
virtual void | Play ()=0
| Start playing the node, it will therefore start modifying the state of the skeleton.
virtual void | RemoveAnimationCallback (iSkeletonAnimCallback *callback)=0
| Remove the given animation callback from this node.
virtual void | SetPlaybackPosition (float time)=0
| Set the current playback position, in seconds.
virtual void | SetPlaybackSpeed (float speed)=0
| Set the playback speed.
virtual void | Stop ()=0
| Stop playing the node, it will no longer modify the state of the skeleton.
virtual void | TickAnimation (float dt)=0
| Update the state of the animation generated by this node.

## Detailed Description

Base type for the animation nodes in the hierarchical blending tree of the skeletal animation system.

This base type is implemented by all types of nodes. It is defined by a CS::Animation::iSkeletonAnimNodeFactory.

Main creators of instances implementing this interface:

- CS::Animation::iSkeletonAnimNodeFactory::CreateInstance()

Main ways to get pointers to this interface:

- CS::Animation::iSkeletonAnimNode::FindNode()

Main users of this interface:

- CS::Animation::iSkeleton

Definition at line 537 of file skeleton2anim.h.

The documentation for this struct was generated from the following file:

- imesh/animnode/skeleton2anim.h